%define modname svn
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A47_%{modname}.ini

Summary:	PHP Bindings for the Subversion Revision control system
Name:		php-%{modname}
Version:	0.3
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/svn
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	subversion-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHP Bindings for the Subversion Revision control system.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# instead of a patch
perl -pi -e "s|apr-0|apr-1|g" config.m4
perl -pi -e "s|apache2|apache|g" config.m4

%build
%serverbuild

export CPPFLAGS="`apr-1-config --cppflags`"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc examples CREDITS EXPERIMENTAL package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2008.1
+ Revision: 165098
- 0.3

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-14mdv2008.1
+ Revision: 162248
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-13mdv2008.1
+ Revision: 107727
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-12mdv2008.0
+ Revision: 77581
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-11mdv2008.0
+ Revision: 39527
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-10mdv2008.0
+ Revision: 33879
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-9mdv2008.0
+ Revision: 21360
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-8mdv2007.0
+ Revision: 117634
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-7mdv2007.0
+ Revision: 78109
- rebuilt for php-5.2.0
- Import php-svn

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-6
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-5mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdk
- rebuilt for php-5.1.4

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdk
- rebuilt for php-5.1.3

* Thu Mar 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdk
- fix url (littletux)

* Mon Mar 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial mandriva package

